tech-x11 archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

re: FYI: upcoming xsrc updates

> > for people using native xsrc and -current, i'm going to be updating
> > a lot of packages over the next little while.
> > 
> > please send-pr if you notice new problems.  thanks!
> so, i am mostly done at this point.  i'm seeing problems with
> the new pixman and SSE2 support on amd64, but haven't tracked
> it down yet, and have so far worked around it in my own tree by
> just disabling SSE2.
> in other news, my testing for xorg-server 1.9.2 update has been
> successful, and i plan to import that sometime soon... this may
> take a while to properly merge.

OK, i've updated xorg-server to 1.9.2 (and xterm to 267).

it works fine for me on radeon, but i am less condient on intel
gpu working fine.  i had to comment code that uses no longer
present features in 1.9.2, that the i810 and i830 drivers used,
so i'm very interested in hearing reports on people updating and
using intel gpu.

you *will* need to clean your build tree for at least the xorg
dir, since the drivers need to be clean-built against the new
xorg-server headers.

at this point the only out of date packages in xsrc are
xf86-video-intel (out of date due to kernel drm issues) and
the very recently published libX11 1.4.0.

as usual, please send email or send-pr if you find problems!


Home | Main Index | Thread Index | Old Index